EDIT - bug #6209
NPE in DatasourceView

11/21/2016 03:

05 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.4

Severity: normal Found in Version:

Description

occurres whe

java.lang

n connection to remote datasource

.NullPointerException

at eu.etaxonomy.taxeditor.datasource.CdmDataSourceRepository.getAll (CdmDataSourceRepository. ja
va:93)

at eu.etaxonomy.taxeditor.view.datasource.CdmDataSourceViewPart.refresh (CdmDataSourceViewPart.
java:234)

at eu.etaxonomy.taxeditor.view.datasource.CdmDataSourceViewPart.createPartControl (CdmDataSourc
eViewPart. java:203)

at org.eclipse.ui.internal.ViewReference.createPartHelper (ViewReference. java:375)

at org.eclipse.ui.internal.ViewReference.createPart (ViewReference.java:229)

at org.eclipse.ui.internal.WorkbenchPartReference.getPart (WorkbenchPartReference. java:595)

at org.eclipse.ui.internal.Perspective.showView (Perspective. java:2245)

at org.eclipse.ui.internal.WorkbenchPage.busyShowView (WorkbenchPage.java:1145)

at org.eclipse.ui.internal.WorkbenchPage$20.run (WorkbenchPage. java:3921)

at org.eclipse.swt.custom.BusyIndicator.showWhile (BusyIndicator. java:70)

at org.eclipse.ui.internal.WorkbenchPage.showView (WorkbenchPage.java:3918)

at eu.etaxonomy.taxeditor.model.AbstractUtility.showView (AbstractUtility.java:191)

at eu.etaxonomy.taxeditor.store.CdmStore.getDefault (CdmStore. java:136)

at eu.etaxonomy.taxeditor.store.CdmStore.getCurrentApplicationConfiguration (CdmStore. java:304)

at eu.etaxonomy.taxeditor.preference.PreferencesUtil.setNomenclaturalCodePreferences (Preferenc
esUtil.java:500)

at eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog.connectButtonPressed (RemotingLoginDial

og.java:482)
ui.dialog.RemotingLoginDialog.access$2 (RemotingLoginDialog. java:477)

.ui.dialog.RemotingLoginDialog$6.widgetSelected (RemotingLoginDialog. j

TypedListener.handleEvent (TypedListener. java:240)
EventTable.sendEvent (EventTable. java:84)
Widget.sendEvent (Widget.java:1258)
Display.runDeferredEvents (Display.java:3588)
Display.readAndDispatch (Display.java:3209)
eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog.open (RemotingLoginDialog. java:209)
eu.etaxonomy.taxeditor.handler.ShowRemotingLoginWindowHandler.execute (ShowRemotingLoginWind

ui.internal.handlers.HandlerProxy.execute (HandlerProxy. java:293)

core.commands.Command.executeWithChecks (Command. java:476)
.internal.handlers.HandlerService.executeCommand (HandlerService. java:169)
internal.handlers.SlaveHandlerService.executeCommand (SlaveHandlerService. jav

.menus.CommandContributionItem.handleWidgetSelection (CommandContributionItem.

.menus.CommandContributionItem.access$19 (CommandContributionItem. java:815)
.menus.CommandContributionItem$5.handleEvent (CommandContributionItem. java:805

EventTable.sendEvent (EventTable. java:84)
Widget.sendEvent (Widget. java:1258)
Display.runDeferredEvents (Display.java:3588)
Display.readAndDispatch (Display.java:3209)

1/3




at
at
at
at
at
at
at
at
at
at

at org.eclipse.

79)
at
at
at
at
at
at
at
at
at
at

org.
org.
org.
org.
org.
org.
org.

eclipse.
eclipse.
eclipse.
eclipse.
eclipse.
eclipse.
eclipse.

ui

ui.
ui.

ui.
core.databinding.observable.Realm.runWithDefault (Realm. java:332)
ui.
ui.

internal.Workbench.runEventLoop (Workbench. java:2701)
internal.Workbench.runUI (Workbench. java:2665)

.internal .Workbench.access$4 (Workbench. java:2499)

internal.Workbench$7.run (Workbench. java:679)

internal.Workbench.createAndRunWorkbench (Workbench. java:668)
PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:110)
core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)

.NativeMethodAccessorImpl.invokeO (Native Method)

.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:497)
.equinox.launcher.Main.invokeFramework (Main. java:622)
.equinox.launcher.Main.basicRun (Main. java:577)

.equinox.launcher.Main.run (Main.java:1410)

.equinox.launcher.Main.main (Main. java:1386)

Related issues:

Related to EDIT - bug #6355: Improve message if server is down Duplicate
Has duplicate EDIT - feature request #5839: Improve error message when server... Duplicate
Copied to EDIT - feature request #6335: Providing the admin email for each se... New

Associated revisions

Revision af45abb8 - 11/21/2016 03:56 PM - Katja Luther

fix #6209: adapt the message if a datasource is not available

Revision 5291be06 - 01/17/2017 11:46 AM - Katja Luther

minor

History

#1 - 11/21/2016 03:41 PM - Katja Luther

This was a really confusing error message. The original problem was that the remote database was not available.

#2 - 11/21/2016 03:43 PM - Andreas Miller

- Assignee changed from Andreas Muiller to Katja Luther

#3 - 11/21/2016 03:44 PM - Andreas Miiller
- Priority changed from New to Highest

#4 - 11/21/2016 03:57 PM - Katja Luther

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|af45abb87611c04e93d103bd7c7df6221ca9e877.

#5 - 01/03/2017 10:01 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#6 - 01/05/2017 12:11 AM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

The error message is much better now. However, "Problem accessing remote server" is a very short message. We could make it a bit more verbose
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/af45abb87611c04e93d103bd7c7df6221ca9e877

like "Maybe the server is currently not available. If the problem persists please contact the server admin with the error trace below ...

This is because in this case it is probably not EditSupport responsible but the admin of the server. We may think about providing the admin email for
each server instance somehow (new ticket).

#7 - 01/05/2017 01:52 PM - Andreas Miiller

- Has duplicate feature request #5839: Improve error message when server can't be reached added

#8 - 01/17/2017 01:00 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

The message is changed and a new ticket for the email of the admin is created (#6335).

#9 - 01/17/2017 02:50 PM - Andreas Miiller

- Status changed from Feedback to Resolved

#10 - 01/20/2017 01:54 PM - Andreas Miiller

- Related to bug #6355: Improve message if server is down added

#11 - 01/20/2017 02:00 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 100

| don't remember how to invoke this message in the moment. But | have seen it recently and | think we can close this ticket. There are follow up
tickets and related tickets.

#12 - 01/20/2017 02:01 PM - Andreas Miiller

- Copied to feature request #6335: Providing the admin email for each server installation added
